Bug 138560 - Use std::unique_ptr<> and std::make_unique<> in WebCore
Summary: Use std::unique_ptr<> and std::make_unique<> in WebCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks: 128007
  Show dependency treegraph
 
Reported: 2014-11-10 00:03 PST by Gyuyoung Kim
Modified: 2015-04-23 22:27 PDT (History)
13 users (show)

See Also:


Attachments
Patch (6.58 KB, patch)
2014-11-10 00:04 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (4.48 KB, patch)
2014-11-10 06:44 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2014-11-10 00:03:13 PST
SSIA
Comment 1 Gyuyoung Kim 2014-11-10 00:04:23 PST
Created attachment 241280 [details]
Patch
Comment 2 Gyuyoung Kim 2014-11-10 06:44:29 PST
Created attachment 241289 [details]
Patch
Comment 3 WebKit Commit Bot 2014-11-10 06:47:34 PST
Attachment 241289 [details] did not pass style-queue:


ERROR: Source/WebCore/dom/ElementIteratorAssertions.h:56:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Chris Dumez 2014-11-10 14:08:54 PST
Comment on attachment 241289 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2014-11-10 17:48:45 PST
Comment on attachment 241289 [details]
Patch

Clearing flags on attachment: 241289

Committed r175844: <http://trac.webkit.org/changeset/175844>
Comment 6 WebKit Commit Bot 2014-11-10 17:48:50 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Simon Fraser (smfr) 2014-11-11 08:42:43 PST
This broke the Windows build:
https://build.webkit.org/builders/Apple%20Win%20Debug%20%28Build%29?numbuilds=100
Comment 8 Gyuyoung Kim 2014-11-11 09:07:48 PST
(In reply to comment #7)
> This broke the Windows build:
> https://build.webkit.org/builders/
> Apple%20Win%20Debug%20%28Build%29?numbuilds=100

Hmm, I need to have time to fix this build error because I don't have win-debug build environment. I'm gonna revert this for now.
Comment 9 Gyuyoung Kim 2014-11-11 09:16:15 PST
Reverted r175844 for reason:

Win debug build has broken since r175844

Committed r175939: <http://trac.webkit.org/changeset/175939>
Comment 10 Darin Adler 2015-04-23 22:27:17 PDT
I took care of these a while back. OwnPtr is almost done now!